Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358890 - Enable upstream debugging
Summary: Enable upstream debugging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpcbind
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 17:33 UTC by Steve Dickson
Modified: 2016-11-04 02:10 UTC (History)
3 users (show)

Fixed In Version: rpcbind-0.2.0-36.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 02:10:33 UTC


Attachments (Terms of Use)
The back ported patches (deleted)
2016-07-21 17:35 UTC, Steve Dickson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2274 normal SHIPPED_LIVE rpcbind bug fix and enhancement update 2016-11-03 13:35:05 UTC

Description Steve Dickson 2016-07-21 17:33:18 UTC
Description of problem:

The following upstream commits are needed to enable upstream debugging:

commit 97a4f20bc75424418b3e8125a7b72f482d9fae2e
Author: Steve Dickson <steved@redhat.com>
Date:   Mon Apr 27 09:58:23 2015 -0400

    rpcbind: enable debugging in libtirpc

commit 2f10c4aad6c24e642913e37dfb0c35e36b68b8d7
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Feb 4 12:05:10 2015 -0500

    rpcbind: Separate the -d flag from the -f flag
    
    To make it possible for debugging to happen in
    background, separate the -d flag from the -f flag

commit bc2b14b27b7edad0c32e177067634ecc529bdcbb
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Feb 4 11:27:34 2015 -0500

    rpcbind: Enable the logging depending on flags.
    
    Enable the logging depending on background or foreground
    
    Signed-off-by: Steve Dickson <steved@redhat.com>

commit a43b98ee247dbf4e38349a4ed5ace5a995f8934a
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Feb 4 10:47:12 2015 -0500

    rpcbind: use xlog instead fprinting to stderr
    
    Convert all the fprint() to xlog()s calls


commit 6b7d70a8a57d0a68f473ab6b245cd4ae2dd672e8
Author: Steve Dickson <steved@redhat.com>
Date:   Wed Feb 4 10:05:27 2015 -0500

    rpcbind: Introduce the xlog logging code

Comment 1 Steve Dickson 2016-07-21 17:35:06 UTC
Created attachment 1182637 [details]
The back ported patches

Comment 6 Yongcheng Yang 2016-09-01 11:11:52 UTC
Have verified the debugging messages are logged into /var/log/messages
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Testing with latest version rpcbind-0.2.0-38.el7
----------------------------------------------------------------------
[root@hp-dl388g8-17 ~]# rpm -q rpcbind
rpcbind-0.2.0-38.el7.x86_64
[root@hp-dl388g8-17 ~]# pkill rpcbind
[root@hp-dl388g8-17 ~]# ps aux | grep [r]pcbind
[root@hp-dl388g8-17 ~]# >/var/log/messages 
[root@hp-dl388g8-17 ~]# rpcbind -d
[root@hp-dl388g8-17 ~]# mount -t nfs $HOSTNAME:/export_test/ /mnt/mnt_test/
[root@hp-dl388g8-17 ~]# date > /mnt/mnt_test/testfile
[root@hp-dl388g8-17 ~]# rm /mnt/mnt_test/testfile -f
[root@hp-dl388g8-17 ~]# umount /mnt/mnt_test/
[root@hp-dl388g8-17 ~]# cat /var/log/messages | grep rpcbind
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: libtirpc: debug level 1
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: local: 0 lookup routines :
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: rpcbind : my address is (null)
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 3 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 4 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: check binding for local
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: udp: 0 lookup routines :
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: rpcbind : my address is 0.0.0.0.0.111
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 2 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 3 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 4 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: check binding for udp
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: rmtcall fd for udp is 8
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: tcp: 0 lookup routines :
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: cannot bind tcp: Address already in use
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: udp6: 0 lookup routines :
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: rpcbind : my address is ::.0.111
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 3 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: FUNCTION rbllist_add
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: Add the prog 100000 vers 4 to the rpcbind list
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: check binding for udp6
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: rmtcall fd for udp6 is 11
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: tcp6: 0 lookup routines :
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: cannot bind tcp6: Address already in use
Sep  1 07:04:13 hp-dl388g8-17 rpcbind[3945]: debugging enabled.
[root@hp-dl388g8-17 ~]# 


Also test the previous debugging with rpcbind-0.2.0-35.el7 to compare
----------------------------------------------------------------------
[root@hp-dl388g8-17 ~]# rpm -q rpcbind
rpcbind-0.2.0-35.el7.x86_64
[root@hp-dl388g8-17 ~]# ps aux | grep [r]pcbind
[root@hp-dl388g8-17 ~]# >/var/log/messages 
[root@hp-dl388g8-17 ~]# rpcbind -d
local: 0 lookup routines :
rpcbind : my address is (null)
FUNCTION rbllist_addAdd the prog 100000 vers 3 to the rpcbind list
FUNCTION rbllist_addAdd the prog 100000 vers 4 to the rpcbind list
check binding for local
udp: 0 lookup routines :
rpcbind : my address is 0.0.0.0.0.111
FUNCTION rbllist_addAdd the prog 100000 vers 2 to the rpcbind list
FUNCTION rbllist_addAdd the prog 100000 vers 3 to the rpcbind list
FUNCTION rbllist_addAdd the prog 100000 vers 4 to the rpcbind list
check binding for udp
rmtcall fd for udp is 7
tcp: 0 lookup routines :
udp6: 0 lookup routines :
rpcbind : my address is ::.0.111
FUNCTION rbllist_addAdd the prog 100000 vers 3 to the rpcbind list
FUNCTION rbllist_addAdd the prog 100000 vers 4 to the rpcbind list
check binding for udp6
rmtcall fd for udp6 is 11
tcp6: 0 lookup routines :
rpcbind debugging enabled.
polling for read on fd < 5 6 7 10 11 >
polling for read on fd < 5 6 7 10 11 >
^C[root@hp-dl388g8-17 ~]# cat /var/log/messages | grep rpcbind
Sep  1 07:00:36 hp-dl388g8-17 rpcbind: cannot bind tcp: Address already in use
Sep  1 07:00:36 hp-dl388g8-17 rpcbind: cannot bind tcp6: Address already in use
Sep  1 07:01:45 hp-dl388g8-17 rpcbind: cannot bind tcp: Address already in use
Sep  1 07:01:45 hp-dl388g8-17 rpcbind: cannot bind tcp6: Address already in use
Sep  1 07:02:11 hp-dl388g8-17 rpcbind: cannot bind tcp: Address already in use
Sep  1 07:02:11 hp-dl388g8-17 rpcbind: cannot bind tcp6: Address already in use
[root@hp-dl388g8-17 ~]# 

Move this bug on to VERIFIED

Comment 8 errata-xmlrpc 2016-11-04 02:10:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2274.html


Note You need to log in before you can comment on or make changes to this bug.